> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.atom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Semantic Search

> Discover domains using natural language queries. Describe what you're looking for — such as 'names for a healthcare startup' or 'short brandable tech names' — and get back the most relevant matches from Atom's marketplace using advanced AI-powered semantic search.



## OpenAPI

````yaml GET /semantic-search
openapi: 3.1.0
info:
  title: Atom API Reference
  description: >-
    Comprehensive APIs for domain discovery, marketplace integration, portfolio
    management, registration, and AI-powered domain intelligence.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://www.atom.com/api/marketplace
    description: Production server
  - url: https://dev.atom.com/api/marketplace
    description: Development server
security: []
paths:
  /semantic-search:
    get:
      description: >-
        Discover domains using natural language queries. Describe what you're
        looking for — such as 'names for a healthcare startup' or 'short
        brandable tech names' — and get back the most relevant matches from
        Atom's marketplace using advanced AI-powered semantic search.
      parameters:
        - name: api_token
          in: query
          description: Your API key
          required: true
          schema:
            type: string
        - name: user_id
          in: query
          description: Your Atom user ID
          required: true
          schema:
            type: integer
        - name: query
          in: query
          description: >-
            Natural language search query (e.g., 'tech startup names’,
            ‘healthcare companies’) Example: tech startup names
          required: true
          schema:
            type: string
        - name: filters
          in: query
          description: Optional filters to apply to the search (JSON string)
          schema:
            type: string
        - name: page
          in: query
          description: >-
            Page number for pagination (default: 1). Default value: 1. Example:
            1
          schema:
            type: integer
        - name: page_size
          in: query
          description: >-
            Number of results per page (default: 20, max: 100). Default value:
            20. Example: 20
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Domain'
components:
  schemas:
    Domain:
      required:
        - name
      type: object
      properties:
        name:
          description: Example Value
          type: string
        tag:
          description: Model
          type: string

````